* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

#header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 80px;
    background: #faf6f1;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
    z-index: 999;
    position: sticky;
    top: 0;
    left: 0;
}

/* Nav Bar */
#navbar {
    display: flex;
    align-items: center;
    justify-content: center;
}

#navbar li {
    list-style: none;
    padding: 0 20px;
    position: relative;
}

#navbar li a {
    text-decoration: none;
    font-size: 20px;
    font-weight: 600;
    color:#242038;
    transition: 0.2s ease;
}

#navbar li a:hover, #navbar li a.active {
    color:#725AC1;
}

#navbar li a.active::after,#navbar li a:hover::after {
    content: "";
    width: 30%;
    height: 2px;
    Background: #725AC1;
    position: absolute;
    bottom: -4px;
    left: 20px;
}

/* Global Styles */
h1 {
    font-size: 50px;
    line-height: 64px;
    color: #222;
}

h2 {
    font-size: 46px;
    line-height: 54px;
    color: #222;
}

h4 {
    font-size: 20px;
    color: #222;
}

h6 {
    font-size: 12px;
    font-weight: 700;
}

p {
    font-size: 16px;
    color: #222;
    margin: 15px 0 20px 0;
}

.section-p1 {
    padding: 40px 80px;
}

.section-m1 {
    margin: 40px 0;
}

body {
    width: 100%;
}

/* Home Page */

#home{
    background-image: url(Home_img.jpg);
    height: 90vh;
    width: 100%;
    background-size: cover;
    background-position: top 25% right 0;
    padding: 0 80px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

#home h4 {
    padding-bottom: 15px;
}

#home h1 {
    color: #725AC1;
}

#home button {
    background-image: url(button.png);
    background-color: transparent;
    color: #BCD4DE;
    border-radius: 50%;
    border: 0;
    padding: 14px 80px 14px 52px;
    background-repeat: no-repeat;
    cursor: pointer;
    font-weight: 700;
    font-size: 30px;
}

/* Shop Page */

#page-header{
    background-image: url(banner.jpg);
    background-repeat: no-repeat;
    width: 100%;
    height: 20vh;
    background-size: cover;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    padding: 14px;
}

#page-header h2, #page-header p {
    color: #242038;
}

#products {
    text-align: center;
}

#products .pro-container {
    display: flex;
    justify-content: space-between;
    padding-top: 20px;
    flex-wrap: wrap;
}

#products .pro {
    width: 23%;
    min-width: 250px;
    padding: 10px 12px;
    border: 1px solid #d4d1df;
    border-radius: 25px;
    cursor: pointer;
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.02);
    margin: 15px 0;
    transition: 0.2s ease;
    position: relative;
}

#products .pro:hover {
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.03);
    width: 24%;
}

#products .pro img {
    width: 100%;
    border-radius: 20px;
}

#products .pro .des {
    text-align: start;
    padding: 10px 0;
}

#products .pro .des span {
    color: #7b9da1;
    font-size: 12px;
}

#products .pro .des h5 {
    padding-top: 7px;
    color: #242038;
    font-size: 14px;
}

#products .pro .des h4 {
    padding-top: 7px;
    color: #725AC1;
    font-size: 15px;
    font-weight: 700;
}

#products .pro .Cart {
    width: 50px;
    height: 50px;
    line-height: 50px;
    border-radius: 50px;
    background-color: #E7A2B4;
    font-weight: 500;
    color: #242038;
    border: 1px solid #BCD4DE;
    position: absolute;
    bottom: 20px;
    right: 25px;
}

/* Single product page */

#details .image {
    width: 40%;
    margin-right: 50px;
}


/* Cart Page */

#cart table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    white-space: nowrap;
}

#cart table img {
    width: 70px;
}

#cart table td:nth-child(1) {
    width: 100px;
    text-align: center;
}

#cart table td:nth-child(2) {
    width: 150px;
    text-align: center;
}

#cart table td:nth-child(3) {
    width: 200px;
    text-align: center;
}

#cart table td:nth-child(4) {
    width: 250px;
    text-align: center;
}

#cart table td:nth-child(5) {
    width: 300px;
    text-align: center;
}

#cart table td:nth-child(6) {
    width: 350px;
    text-align: center;
}

#cart table thead {
   border: 1px solid #cfe0e7;
   border-left: none;
   border-right: none;
}

#cart table thead th{
   font-weight: 700;
   text-transform: uppercase;
   font-size: 20px;
   padding: 18px 0;
}

#cart table tbody tr td {
   padding-top: 15px;
}

#cart table tbody td {
   font-size: 18px;
}

/* Checkout */

#Checkout {
    width: 30%;
    margin-bottom: 30px;
    margin-left: 65%;
    border: 1px solid #BCD4DE;
    padding: 15px;
}

#Checkout table {
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 20px;
}

#Checkout table td {
    width: 50%;
    border: 1px solid #BCD4DE;
    padding: 10px;
    font-size: 15px;
}

#Checkout button {
    background-color: #E7A2B4;
    color: #242038;
    padding: 12px 20px;
}

#payment-form {
    background-color: #E7A2B4;
}

#payment-form paymentTable {
    border-collapse: collapse;
    margin-bottom: 20px;
}

#payment-form .paymentTable th {
    width: 50%;
    border: 1px solid #BCD4DE;
    padding: 100px;
    font-size: 1500px;
}

#payment-form input {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
}
